Loading...
Searching...
No Matches
smart_pointer_clone< T >

## Detailed Description

template<typename T>
class rheolef::smart_pointer_clone< T >

Definition at line 370 of file smart_pointer.h.

Inheritance diagram for smart_pointer_clone< T >:

## Public Types

typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| smart_pointer_clone (T *p=0)
| smart_pointer_clone (void *count, internal i)
| smart_pointer_clone (const smart_pointer_clone< T > &x)
smart_pointer_clone< T > & | operator= (const smart_pointer_clone< T > &x)
| ~smart_pointer_clone ()
Public Member Functions inherited from smart_pointer_base< T, details::clone_copy< T > >
| smart_pointer_base (T *p=0)
smart_pointer_base< T, details::clone_copy< T > > & | operator= (const smart_pointer_base< T, details::clone_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## handled_type

template<typename T>

typedef T handled_type

Definition at line 374 of file smart_pointer.h.

## internal

template<typename T>

typedef base::internal internal

Definition at line 375 of file smart_pointer.h.

## Constructor & Destructor Documentation

## smart_pointer_clone() [1/3]

template<typename T>

smart_pointer_clone | ( | T * | p = 0 | ) |

Definition at line 376 of file smart_pointer.h.

## smart_pointer_clone() [2/3]

template<typename T>

smart_pointer_clone | ( | void * | count,
|  | internal | i )

Definition at line 377 of file smart_pointer.h.

## smart_pointer_clone() [3/3]

template<typename T>

smart_pointer_clone | ( | const smart_pointer_clone< T > & | x | ) |

Definition at line 378 of file smart_pointer.h.

## ~smart_pointer_clone()

template<typename T>

~smart_pointer_clone | ( |  | ) |

Definition at line 381 of file smart_pointer.h.

## Member Function Documentation

## operator=()

template<typename T>

smart_pointer_clone< T > & operator= | ( | const smart_pointer_clone< T > & | x | ) |

Definition at line 379 of file smart_pointer.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/util/lib/smart_pointer.h